<template>
    <div>
        <ConsultantList
            :agents="pageList"
        ></ConsultantList>

        <UiPagination
            :totalList="contactedList"
            @changePage="changePage"
        ></UiPagination>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'nuxt-property-decorator' ;
import { Agents } from '~/plugins/api/home';

@Component
export default class ContactedList extends Vue {
    @Prop() contactedList!: Agents[];
    pageList: Agents[] = [];

    changePage(pageList: Agents[]) {
        this.pageList = pageList;
    }
}
</script>